# Gluon Mobile - Single View

Gluon Mobile Applications are Java application written in JavaFX.
These applications ensure that developers can create high performance, great looking, and cloud connected mobile apps from a single Java code base.

This sample contains a simple Gluon Mobile application which can be used to run, test and create a native application for any targeted device.

## Pre-requisites

Please checkout the prerequisites to run this application [here](https://github.com/gluonhq/client-maven-plugin#requirements).

## Instructions

> **Note**: The following are command line instructions. For IDE specific instructions please checkout
[IDE documentation](https://docs.gluonhq.com/client/#_ide) of the client plugin.

These application can run on the JVM on desktop platforms. To run the application, execute the following command:

```
./gradlew run
```

The same application can also run natively for on any targeted OS, including Android, iOS, Linux, Mac and Windows.

To create a native image, execute the following command:

```
./gradlew nativeBuild nativeRun
```

> **Note**: The above client commands are target-platform dependent and might change depending on the platform.
For more details, please check
[Client Gradle Tasks](https://github.com/gluonhq/client-gradle-plugin/#2-tasks)

## Configuration

To configure the client plugin, please checkout the [Configuration documentation](https://docs.gluonhq.com/client/#_configuration).

## More information

Here are some helpful links:

* [Gluon Client documentation](https://docs.gluonhq.com/client)
* [Gluon Mobile documentation](https://docs.gluonhq.com/mobile)
* [Client Maven Plugin](https://github.com/gluonhq/client-maven-plugin)
* [Client Gradle Plugin](https://github.com/gluonhq/client-gradle-plugin)
